#ifndef DATA_SOCKET_CLASS_H
#define DATA_SOCKET_CLASS_H
	
#include <XRS/Socket.h>
#include <stdio.h>

#define EOD     "\x44"

class DataSocket:public Socket{
   FILE *fp;
 public:
   DataSocket(char *ss):Socket(ss),fp(NULL){}
   operator FILE*(){ return fp;}
   FILE * open(){
       if(fp) close();
       fp=fdopen(Socket::open(),"w");  return fp;
   }
   close(){
     if(fp){fprintf(fp,EOD); fflush(fp); fclose(fp); Socket::close();} fp=NULL;
   }
};

#undef EOD
#endif
